# PathVisualizer

#### new Cesium.PathVisualizer(scene, entityCollection)
DataSources/PathVisualizer.js 582

A `Visualizer` which maps `Entity#path` to a `Polyline`.

Name | Type | Description
--- | --- | ---
`scene` | Scene | The scene the primitives will be rendered in.
`entityCollection` | EntityCollection | The entityCollection to visualize.

### Methods

#### destroy()
DataSources/PathVisualizer.js 689

Removes and destroys all primitives created by this instance.

#### isDestroyed() → Boolean
DataSources/PathVisualizer.js 682

Returns true if this object was destroyed; otherwise, false.

##### Returns:

True if this object was destroyed; otherwise, false.

#### update(time) → Boolean
DataSources/PathVisualizer.js 612

Updates all of the primitives created by this visualizer to match their Entity counterpart at the given time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to update to.

##### Returns:

This function always returns true.